
Redmine - Defect #3507

no priorities displayed for new issue in Priority dropdown

2009-06-17 23:04 - Ray Kimsey

Status: Closed Start date: 2009-06-17

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version:  

Description

Downloaded code from subversion trunk (r2791) and set up as per instructions.

ran the following w/out error

gem install rails -v=2.2.2

rake config/initializers/session_store.rb

rake db:migrate RAILS_ENV="production"

rake redmine:load_default_data RAILS_ENV="production"

setup permissions

ran webrick server and tested. seemed ok

ran under Apache with passenger.  Worked fine.

Got openid working, created a project and linked with subversion, no problem.

Tried to create issue, but does not list any priorities.  (no priorities in apache or webrick)

Never worked with ruby before, so I may have missed something, but since all else seems to work and from the subversion log, it

seems that recently there have been changes to the enumerations table that may have caused a problem?

Associated revisions

Revision 2792 - 2009-06-23 22:17 - Jean-Philippe Lang

Fixes default data loader broken by r2777 (#3507).

History

#1 - 2009-06-18 04:49 - Ray Kimsey

Just a note, checked out r2776 from the trunk and set it up the same way as r2791.  This time the priorities were in the select dropdown.

#2 - 2009-06-23 22:18 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

The default data load task was broken by r2777. It's fixed in r2792.

You can safely upgrade your r2776 checkout or restart with a fresh database.
